<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>D-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="index: D">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="../com/projetdev/modele/Dessinable.html" class="type-name-link" title="interface in com.projetdev.modele">Dessinable</a> - Interface in <a href="../com/projetdev/modele/package-summary.html">com.projetdev.modele</a></dt>
<dd>
<div class="block">L'interface Dessinable définit une méthode pour dessiner un objet graphique.</div>
</dd>
<dt><a href="../com/projetdev/modele/Dessinable.html#dessiner(java.awt.Graphics)" class="member-name-link">dessiner(Graphics)</a> - Method in interface com.projetdev.modele.<a href="../com/projetdev/modele/Dessinable.html" title="interface in com.projetdev.modele">Dessinable</a></dt>
<dd>
<div class="block">Dessine l'objet graphique en utilisant le contexte graphique spécifié.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html#dessiner(java.awt.Graphics)" class="member-name-link">dessiner(Graphics)</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></dt>
<dd>
<div class="block">Dessine tous les dessins stockés sur le graphique fourni.</div>
</dd>
<dt><a href="../com/projetdev/modele/Ellipse.html#dessiner(java.awt.Graphics)" class="member-name-link">dessiner(Graphics)</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/Ellipse.html" title="class in com.projetdev.modele">Ellipse</a></dt>
<dd>
<div class="block">Méthode pour dessiner l'ellipse.</div>
</dd>
<dt><a href="../com/projetdev/modele/Ligne.html#dessiner(java.awt.Graphics)" class="member-name-link">dessiner(Graphics)</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/Ligne.html" title="class in com.projetdev.modele">Ligne</a></dt>
<dd>
<div class="block">Méthode pour dessiner la ligne.</div>
</dd>
<dt><a href="../com/projetdev/modele/Rectangle.html#dessiner(java.awt.Graphics)" class="member-name-link">dessiner(Graphics)</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/Rectangle.html" title="class in com.projetdev.modele">Rectangle</a></dt>
<dd>
<div class="block">Méthode pour dessiner le rectangle.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html" class="type-name-link" title="class in com.projetdev.modele">DessinLibre</a> - Class in <a href="../com/projetdev/modele/package-summary.html">com.projetdev.modele</a></dt>
<dd>
<div class="block">Classe représentant un dessin libre.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html#%3Cinit%3E()" class="member-name-link">DessinLibre()</a> - Constructor for class com.projetdev.modele.<a href="../com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></dt>
<dd>
<div class="block">Constructeur par défaut de DessinLibre.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html#%3Cinit%3E(java.awt.Color)" class="member-name-link">DessinLibre(Color)</a> - Constructor for class com.projetdev.modele.<a href="../com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></dt>
<dd>
<div class="block">Constructeur par défaut de DessinLibre.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
